Ir al contenido
Documentación de Endless

List workspace models

GET
/organizations/{organization_id}/models

Lists the workspace models the caller can read. Scoped to the organization named by organization_id.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

organization_id*string
Match^org_

Query Parameters

output_type?string

Value in

  • "text"
  • "image"
  • "video"
  • "audio"

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/org_abc123/models"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "codename": "string",    "name": "string",    "owner": "string",    "description": "string",    "output_type": "text",    "parameters": "string",    "type": "edit",    "minimum_required_plan": "hobby",    "position": -140737488355328,    "unlisted": true,    "version_id": "string",    "version_number": -9007199254740991,    "version_status": "draft",    "enabled": true,    "plan_available": true,    "base_cost": 0,    "cost_floor": {      "min": 0,      "max": 0,      "parameters": {        "property1": null,        "property2": null      },      "open_ended": true    },    "cost_floor_by_input": {      "image": {        "min": 0,        "max": 0,        "parameters": {          "property1": null,          "property2": null        },        "open_ended": true      },      "video": {        "min": 0,        "max": 0,        "parameters": {          "property1": null,          "property2": null        },        "open_ended": true      },      "audio": {        "min": 0,        "max": 0,        "parameters": {          "property1": null,          "property2": null        },        "open_ended": true      }    },    "preference_position": null,    "variants": [],    "quick_actions": []  }]